#ifndef DEFERREUR_H
#define DEFERREUR_H

/*------------------------------------------------------------------
  Pour recuperer le dernier message d'erreur (d'echec allocation 
  en general dans polynomes.c, racines.c ou solvelin.c), il faut
  declarer quelquepart : char *terreur; qui est lui meme declare
  extern dans nos modules. Il pointe sur le dernier message
  d'erreur que nous emettons. Si on ne veut pas de ce mecanisme,
  il suffit de commenter la ligne suivante : */
#define RECUPURERERREUR
/*-----------------------------------------------------------------*/
#define RECUPURERERREUR
#ifdef RECUPURERERREUR

extern char *terreur;

#ifndef perreur
#ifdef _WINDOWS
#include <Windows.h>
#define perreur(X) terreur = X; MessageBox(NULL,X,"",0)
#else
#include <stdio.h>
#define perreur(X) terreur = X; fprintf(stderr,X)
#endif
#endif

#else  /* On ne veut pas recuperer le dernier message d'erreur */

#ifndef perreur
#ifdef _WINDOWS
#include <Windows.h>
#define perreur(X) MessageBox(NULL,X,"",0)
#else
#include <stdio.h>
#define perreur(X) fprintf(stderr,X)
#endif
#endif

#endif

#endif /* Fin de la portee de #ifndef DEFERREUR_H */